Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface SNMPAgentMBean

public interface SNMPAgentMBean
extends ConfigurationMBean

The MBean representing the SNMP Agent Configuration. The SNMP Agent MBean is a singleton for the SNMP Agent Configuration and does not belong to any configuration.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static int` | `DEBUG_CRITICAL`
`static int` | `DEBUG_FATAL`
`static int` | `DEBUG_NONCRITICAL`
`static int` | `DEBUG_NONE`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `addSNMPAttributeChange(SNMPAttributeChangeMBean attrchange)`
`boolean` | `addSNMPCounterMonitor(SNMPCounterMonitorMBean countermonitor)`
`boolean` | `addSNMPGaugeMonitor(SNMPGaugeMonitorMBean gaugemonitor)`
`boolean` | `addSNMPLogFilter(SNMPLogFilterMBean logfilter)`
`boolean` | `addSNMPProxy(SNMPProxyMBean snmpProxy)`
`boolean` | `addSNMPStringMonitor(SNMPStringMonitorMBean stringmonitor)`
`boolean` | `addTargetedTrapDestination(SNMPTrapDestinationMBean trapdestination)`
`java.lang.String` | `getCommunityPrefix()` Returns the prefix string which is used to form SNMP Community name.
`int` | `getDebugLevel()` Returns the Debug level:
`int` | `getMibDataRefreshInterval()` Defines the minimum amount of time all MIB values are cached before the agent attempts to refresh them.
`int` | `getServerStatusCheckIntervalFactor()` Defines a multiplier used to calculate the interval at which the server status is checked.
`SNMPAttributeChangeMBean[]` | `getSNMPAttributeChanges()` SNMPAttributeChangeMBeans which describe the MBean type and Attribute name for which attribute change trap should be sent when an attribute change is observed.
`SNMPCounterMonitorMBean[]` | `getSNMPCounterMonitors()` SNMP CounterMonitorMbeans which describe the criteria for generating trap based on JMX CounterMonitor.
`SNMPGaugeMonitorMBean[]` | `getSNMPGaugeMonitors()` SNMP GaugeMonitorMbeans which describe the criteria for generating trap based on JMX GaugeMonitor.
`SNMPLogFilterMBean[]` | `getSNMPLogFilters()` SNMPLogFilterMBeans which describe filters for generating traps based on server log messages.
`int` | `getSNMPPort()` Defines the port that is used for sending SNMP trap notifications to the target SNMP manager.
`SNMPProxyMBean[]` | `getSNMPProxies()` Defines the SNMP Agents which are proxied by this Master SNMP Agent.
`SNMPStringMonitorMBean[]` | `getSNMPStringMonitors()` SNMP StringMonitorMbeans which describe the criteria for generating trap based on JMX StringMonitor.
`SNMPTrapDestinationMBean[]` | `getTargetedTrapDestinations()`
`boolean` | `isEnabled()` Indicates whether the SNMP service is enabled.
`boolean` | `removeSNMPAttributeChange(SNMPAttributeChangeMBean attrchange)`
`boolean` | `removeSNMPCounterMonitor(SNMPCounterMonitorMBean countermonitor)`
`boolean` | `removeSNMPGaugeMonitor(SNMPGaugeMonitorMBean gaugemonitor)`
`boolean` | `removeSNMPLogFilter(SNMPLogFilterMBean logfilter)`
`boolean` | `removeSNMPProxy(SNMPProxyMBean snmpProxy)`
`boolean` | `removeSNMPStringMonitor(SNMPStringMonitorMBean stringmonitor)`
`boolean` | `removeTargetedTrapDestination(SNMPTrapDestinationMBean trapdestination)`
`void` | `setCommunityPrefix(java.lang.String prefix)` Defines the prefix string which is used to form SNMP Community name.
`void` | `setDebugLevel(int debugLevel)` Defines the Debug level.
`void` | `setEnabled(boolean flag)` Defines the state of the SNMP service on an administration server.
`void` | `setMibDataRefreshInterval(int interval)`
`void` | `setServerStatusCheckIntervalFactor(int factor)`
`void` | `setSNMPAttributeChanges(SNMPAttributeChangeMBean[] snmpAttributeChanges)`
`void` | `setSNMPCounterMonitors(SNMPCounterMonitorMBean[] snmpCounterMonitors)`
`void` | `setSNMPGaugeMonitors(SNMPGaugeMonitorMBean[] snmpGaugeMonitors)`
`void` | `setSNMPLogFilters(SNMPLogFilterMBean[] snmpLogFilters)`
`void` | `setSNMPPort(int port)`
`void` | `setSNMPProxies(SNMPProxyMBean[] snmpProxys)`
`void` | `setSNMPStringMonitors(SNMPStringMonitorMBean[] snmpStringMonitors)`
`void` | `setTargetedTrapDestinations(SNMPTrapDestinationMBean[] snmpTrapDestinations)`
`void` | `setUserDefinedMib(java.lang.String mibName)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### DEBUG_NONE

    public static final int DEBUG_NONE

### DEBUG_FATAL

    public static final int DEBUG_FATAL

### DEBUG_CRITICAL

    public static final int DEBUG_CRITICAL

### DEBUG_NONCRITICAL

    public static final int DEBUG_NONCRITICAL

Method Detail

### isEnabled

    public boolean isEnabled()

  Indicates whether the SNMP service is enabled.

  Returns:
    True if the SNMP service is activated.

### setEnabled

    public void setEnabled(boolean flag)

  Defines the state of the SNMP service on an administration server. A value of "true" enables the service.

  Default Value: false
  Secure Value: false

### getSNMPPort

    public int getSNMPPort()

  Defines the port that is used for sending SNMP trap notifications to the target SNMP manager.

  Default Value: 161
  Legal Minimum Value: 1
  Legal Maximum Value: 65535

### setSNMPPort

    public void setSNMPPort(int port)
                     throws javax.management.InvalidAttributeValueException,
                            ConfigurationException

### getMibDataRefreshInterval

    public int getMibDataRefreshInterval()

  Defines the minimum amount of time all MIB values are cached before the agent attempts to refresh them.

  Default Value: 120
  Legal Minimum Value: 30
  Legal Maximum Value: 65535

### setMibDataRefreshInterval

    public void setMibDataRefreshInterval(int interval)
                                   throws javax.management.InvalidAttributeValueException,
                                          ConfigurationException

### getServerStatusCheckIntervalFactor

    public int getServerStatusCheckIntervalFactor()

  Defines a multiplier used to calculate the interval at which the server status is checked.

  interval = n * MibDataRefreshInterval

  Default Value: 1
  Legal Minimum Value: 1
  Legal Maximum Value: 65535

### setServerStatusCheckIntervalFactor

    public void setServerStatusCheckIntervalFactor(int factor)
                                            throws javax.management.InvalidAttributeValueException,
                                                   ConfigurationException

### getCommunityPrefix

    public java.lang.String getCommunityPrefix()

  Returns the prefix string which is used to form SNMP Community name.

### setCommunityPrefix

    public void setCommunityPrefix(java.lang.String prefix)
                            throws javax.management.InvalidAttributeValueException,
                                   ConfigurationException

  Defines the prefix string which is used to form SNMP Community name. To form a community name, append "@" and the server name or domain name to the prefix.

  SNMP Community Name = CommunityPrefix[@{ServerName | DomainName}]

  Default Value: "public"
  Legal Value: (value != null) && (value.trim().length() > 0)
  Legal NULL: false;
  Secure Value: value must not be "public"

### setUserDefinedMib

    public void setUserDefinedMib(java.lang.String mibName)

### getDebugLevel

    public int getDebugLevel()

  Returns the Debug level:

  - 0-NoDebug
  - 1-Fatal
  - 2-Critical
  - 3-Non-Critical

### setDebugLevel

    public void setDebugLevel(int debugLevel)
                       throws javax.management.InvalidAttributeValueException,
                              ConfigurationException

  Defines the Debug level. Valid values are:

  - 0-NoDebug
  - 1-Fatal
  - 2-Critical
  - 3-Non-Critical

  Default Value: DEBUG_NONE
  Legal Values: DEBUG_NONE, DEBUG_FATAL, DEBUG_CRITICAL, DEBUG_NONCRITICAL
  Secure Value: DEBUG_NONE

### getTargetedTrapDestinations

    public SNMPTrapDestinationMBean[] getTargetedTrapDestinations()

### setTargetedTrapDestinations

    public void setTargetedTrapDestinations(SNMPTrapDestinationMBean[] snmpTrapDestinations)
                                     throws javax.management.InvalidAttributeValueException,
                                            ConfigurationException

### addTargetedTrapDestination

    public boolean addTargetedTrapDestination(SNMPTrapDestinationMBean trapdestination)
                                       throws javax.management.InvalidAttributeValueException,
                                              ConfigurationException

### removeTargetedTrapDestination

    public boolean removeTargetedTrapDestination(SNMPTrapDestinationMBean trapdestination)
                                          throws javax.management.InvalidAttributeValueException,
                                                 ConfigurationException

### getSNMPProxies

    public SNMPProxyMBean[] getSNMPProxies()

  Defines the SNMP Agents which are proxied by this Master SNMP Agent. SNMPProxyMBeans describe settings for SNMP agents to be proxied by this Master agent.

### setSNMPProxies

    public void setSNMPProxies(SNMPProxyMBean[] snmpProxys)
                        throws javax.management.InvalidAttributeValueException,
                               ConfigurationException

### addSNMPProxy

    public boolean addSNMPProxy(SNMPProxyMBean snmpProxy)
                         throws javax.management.InvalidAttributeValueException,
                                ConfigurationException

### removeSNMPProxy

    public boolean removeSNMPProxy(SNMPProxyMBean snmpProxy)
                            throws javax.management.InvalidAttributeValueException,
                                   ConfigurationException

### getSNMPGaugeMonitors

    public SNMPGaugeMonitorMBean[] getSNMPGaugeMonitors()

  SNMP GaugeMonitorMbeans which describe the criteria for generating trap based on JMX GaugeMonitor.

### setSNMPGaugeMonitors

    public void setSNMPGaugeMonitors(SNMPGaugeMonitorMBean[] snmpGaugeMonitors)
                              throws javax.management.InvalidAttributeValueException,
                                     ConfigurationException

### addSNMPGaugeMonitor

    public boolean addSNMPGaugeMonitor(SNMPGaugeMonitorMBean gaugemonitor)
                                throws javax.management.InvalidAttributeValueException,
                                       ConfigurationException

### removeSNMPGaugeMonitor

    public boolean removeSNMPGaugeMonitor(SNMPGaugeMonitorMBean gaugemonitor)
                                   throws javax.management.InvalidAttributeValueException,
                                          ConfigurationException

### getSNMPStringMonitors

    public SNMPStringMonitorMBean[] getSNMPStringMonitors()

  SNMP StringMonitorMbeans which describe the criteria for generating trap based on JMX StringMonitor.

### setSNMPStringMonitors

    public void setSNMPStringMonitors(SNMPStringMonitorMBean[] snmpStringMonitors)
                               throws javax.management.InvalidAttributeValueException,
                                      ConfigurationException

### addSNMPStringMonitor

    public boolean addSNMPStringMonitor(SNMPStringMonitorMBean stringmonitor)
                                 throws javax.management.InvalidAttributeValueException,
                                        ConfigurationException

### removeSNMPStringMonitor

    public boolean removeSNMPStringMonitor(SNMPStringMonitorMBean stringmonitor)
                                    throws javax.management.InvalidAttributeValueException,
                                           ConfigurationException

### getSNMPCounterMonitors

    public SNMPCounterMonitorMBean[] getSNMPCounterMonitors()

  SNMP CounterMonitorMbeans which describe the criteria for generating trap based on JMX CounterMonitor.

### setSNMPCounterMonitors

    public void setSNMPCounterMonitors(SNMPCounterMonitorMBean[] snmpCounterMonitors)
                                throws javax.management.InvalidAttributeValueException,
                                       ConfigurationException

### addSNMPCounterMonitor

    public boolean addSNMPCounterMonitor(SNMPCounterMonitorMBean countermonitor)
                                  throws javax.management.InvalidAttributeValueException,
                                         ConfigurationException

### removeSNMPCounterMonitor

    public boolean removeSNMPCounterMonitor(SNMPCounterMonitorMBean countermonitor)
                                     throws javax.management.InvalidAttributeValueException,
                                            ConfigurationException

### getSNMPLogFilters

    public SNMPLogFilterMBean[] getSNMPLogFilters()

  SNMPLogFilterMBeans which describe filters for generating traps based on server log messages.

### setSNMPLogFilters

    public void setSNMPLogFilters(SNMPLogFilterMBean[] snmpLogFilters)
                           throws javax.management.InvalidAttributeValueException,
                                  ConfigurationException

### addSNMPLogFilter

    public boolean addSNMPLogFilter(SNMPLogFilterMBean logfilter)
                             throws javax.management.InvalidAttributeValueException,
                                    ConfigurationException

### removeSNMPLogFilter

    public boolean removeSNMPLogFilter(SNMPLogFilterMBean logfilter)
                                throws javax.management.InvalidAttributeValueException,
                                       ConfigurationException

### getSNMPAttributeChanges

    public SNMPAttributeChangeMBean[] getSNMPAttributeChanges()

  SNMPAttributeChangeMBeans which describe the MBean type and Attribute name for which attribute change trap should be sent when an attribute change is observed.

### setSNMPAttributeChanges

    public void setSNMPAttributeChanges(SNMPAttributeChangeMBean[] snmpAttributeChanges)
                                 throws javax.management.InvalidAttributeValueException,
                                        ConfigurationException

### addSNMPAttributeChange

    public boolean addSNMPAttributeChange(SNMPAttributeChangeMBean attrchange)
                                   throws javax.management.InvalidAttributeValueException,
                                          ConfigurationException

### removeSNMPAttributeChange

    public boolean removeSNMPAttributeChange(SNMPAttributeChangeMBean attrchange)
                                      throws javax.management.InvalidAttributeValueException,
                                             ConfigurationException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference